Subject: Re: [Pce] Quesitons about OF draft

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 7 May 2008 17:32:33 +0100

Hi Jean-Louis,

Sorry for a long delay in closing this down...

Summary, if you (and the WG) agree the two points below are unimportant, we 
are done.

A

>>Soooo.
>>I was assuming that you may need:
>>- an OF to apply to the set of synchornized requests
>>- an OF to apply to each of the requests
>
> Yes this is what we need. Maybe we need to clarify the terminology, here 
> by
> "set of synchronized requests" we mean the set of requests listed in a 
> SVEC.

OK, I think the confusion here is that the PCReq carries the following 
structure...

   <PCReq Message>::= <Common Header>
                      [<SVEC-list>]
                      <request-list>
   where:
      <svec-list>::=<SVEC>[<svec-list>]
      <request-list>::=<request>[<request-list>]
      <SVEC> = set of request IDs

That is, <svec-list> is a list of lists.

So, now we have three things to which we might apply an OF:
1. An individual request
2. All of the requests in an SVEC object
3. All of the requests in an SVEC list.

In your I-D, you have...

   <PCReq Message>::= <Common Header>
                         [<SVEC-list>]
                         <request-list>
    where:
         <svec-list>::=<SVEC> [<OF>]
                              [<svec-list>]
         <request-list>::=<request>[<request-list>]
         <request>::= <RP>
                      <END-POINTS>
                      [<OF>]
                      etc.

So you have covered case 1 and case 2.
You don't appear to have covered case 3.

>>What you appear to have is:
>>- an OF to apply to each synchronized request
>>  through the OF in the SVEC-list
>
> That is it applies to the set of synchronized requests listed in an SVEC 
> object.
>
>>- an OF to apply to each of the requests
>>  through the OF in the request
>
>> It seems to me that you do not have the ability to supply a meta-OF that
>> applies to the whole SVEC-list, but you have two separate ways
>> to supply an OF for each request.
>
> We have the ability to supply an OF for the set of requests listed in an
> SVEC object, and to supply an OF for each request. This is what is
> required.

Now, I may be wrong, but the SVEC says "please synchronize all requests 
listed in this SVEC object." And the point of having multiple SVEC objects 
(i.e. an SVEC list) is to allow multiple synchornizations to be made.

If you are saying that there is never any need to apply an OF across 
multiple (i.e. all) SVECs in the SVEC list (and assuming no-one disagrees), 
then we are done.

Cheers,
Adrian

>>>> Now, suppose the request desires (not requires) an OF, and
>>>> the response says No-Path. Shouldn't the response also say
>>>> which OF was used to produce this result?
>>>
>>> Strictly speaking the reason for no path is never an
>>> objective function, the reason is a constraint.
>>
>>Yes, that is very true.
>>
>>But, nevertheless, isn't it helpful to report the OF that was used?
>
> We used to have it in an earlier version. Fabien asked to remove it and 
> indeed
> we did not find any good reason to keep it.
> Knowing the OF that was used would not really help the PCC as there is no
> path whatever the OF applied....

Well...
The PCE's free choice of an OF may lead it to fail to find a path where if 
the PCC controlled that choice of OF (by specifying it) a path would be 
found. Obviously, the PCC can only usefully specify the OF on the PCReq 
retry if it knows which OF was used the first time.

Maybe can introduce this again in a later I-D when we see that it is of 
benefit, although it doesn't seem so expensive to include it as optional in 
this I-D.

Cheers,
Adrian 

_______________________________________________
Pce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/pce